#include <gtest/gtest.h>
#include "renderive/base/Atomic_Mutex.hpp"
#include "renderive/base/Concepts.hpp"
struct Base_Plain_Type {};
static_assert(Class_Type<Base_Plain_Type>);
static_assert(Derivable_Type<Base_Plain_Type>);
static_assert(Mutex_Type<Atomic_Spin_Mutex>);
static_assert(Mutex_Type<Atomic_Wait_Mutex>);
TEST(base_concepts_test, concepts_compile) {
    SUCCEED();
}
